FWParserInternal::DocZoneStruct Struct Reference

Internal and low level: a structure used to define the list of zone in Zone 0 data of a FullWrite file. More...

## Public Member Functions

| DocZoneStruct ()
| constructor More...

## Public Attributes

long | m_pos
| the file position More...
int | m_structType
| the struct type More...
int | m_type
| the type More...
int | m_nextId
| the next id More...
int | m_fatherId
| the father id More...
std::vector< int > | m_childList
| the list of child id More...

## Friends

std::ostream & | operator<< (std::ostream &o, DocZoneStruct const &dt)
| the operator<< More...

## Detailed Description

Internal and low level: a structure used to define the list of zone in Zone 0 data of a FullWrite file.

## Constructor & Destructor Documentation

FWParserInternal::DocZoneStruct::DocZoneStruct | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | DocZoneStruct const & | dt
| ) |  |

friend

the operator<<

## Member Data Documentation

std::vector<int> FWParserInternal::DocZoneStruct::m_childList

the list of child id

Referenced by FWParser::readDocZoneStruct().

int FWParserInternal::DocZoneStruct::m_fatherId

the father id

Referenced by FWParser::readDocZoneStruct().

int FWParserInternal::DocZoneStruct::m_nextId

the next id

Referenced by FWParser::readDocZoneStruct().

long FWParserInternal::DocZoneStruct::m_pos

the file position

Referenced by FWParser::readDocZoneStruct().

int FWParserInternal::DocZoneStruct::m_structType

the struct type

Referenced by FWParser::readDocZoneData(), and FWParser::readDocZoneStruct().

int FWParserInternal::DocZoneStruct::m_type

the type

Referenced by FWParser::readDocZoneData(), FWParser::readDocZoneStruct(), FWParser::sendGraphic(), FWParser::sendText(), and FWParser::sendVariable().

The documentation for this struct was generated from the following file:

- FWParser.cxx